Wt: Wt::WTemplate::Functions Struct Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions
Wt::WTemplate::Functions Struct Reference

A collection of predefined functions. More...

List of all members.

## Static Public Member Functions
static bool | tr (WTemplate *t, const std::vector< WString > &args, std::ostream &result)
| A function that resolves to a localized string.
static bool | block (WTemplate *t, const std::vector< WString > &args, std::ostream &result)
| A function that renders a macro block.
static bool | id (WTemplate *t, const std::vector< WString > &args, std::ostream &result)
| A function that resolves the id of a bound widget.

## Detailed Description

A collection of predefined functions.

See also:
  addFunction()

## Member Function Documentation

bool Wt::WTemplate::Functions::block | ( | WTemplate * | t,
|  | const std::vector< WString > & | args,
|  | std::ostream & | result
| ) |  | `[static]`

A function that renders a macro block.

The function will consider the first argument as the key for a localized string that is a macro block, and additional arguments as positional parameters in that block.

For example, a template that contains:

     ...
     ${block:form-field category}
     ...

would look-up the following message:

     <message id="form-field">
        <div class="control-group">
           ${{1}-info}
        </div>
     </message>

and render as:

     ...
     <div class="control-group">
       ${category-info}
     </div>
     ...

bool Wt::WTemplate::Functions::id | ( | WTemplate * | t,
|  | const std::vector< WString > & | args,
|  | std::ostream & | result
| ) |  | `[static]`

A function that resolves the id of a bound widget.

For example, when bound to the function `"id"`, template text that contains a place-holder

       ... ${id:name} ...

will be resolved to the value of:

       t->resolveWidget("name")->id()

This is useful for binding labels to input elements.

See also:
  addFunction()

bool Wt::WTemplate::Functions::tr | ( | WTemplate * | t,
|  | const std::vector< WString > & | args,
|  | std::ostream & | result
| ) |  | `[static]`

A function that resolves to a localized string.

For example, when bound to the function `"tr"`, template that contains the placeholder

       ... ${tr:name} ...

will be resolved to the value of:

       WString::tr("name")

See also:
  addFunction()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator